package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 电话短信提醒
 * @Author zh
 * @Date 2024-06-17
 */
@Getter
public enum PhoneMessageRemindEnum {

    /**
     * 不发送短信
     */
    NOT_SEND_MESSAGE("NOT_SEND_MESSAGE"),

    /**
     * 未接通发短信
     */
    NOT_CONNECTED_SEND_MESSAGE("NOT_CONNECTED_SEND_MESSAGE"),

    /**
     * 接通后发短信
     */
    CONNECTED_SEND_MESSAGE("CONNECTED_SEND_MESSAGE"),

    /**
     * 所有人发短信
     */
    EVERYONE_SEND_MESSAGE("EVERYONE_SEND_MESSAGE"),
    ;

    final private String info;

    PhoneMessageRemindEnum(String info) {
        this.info = info;
    }
}